Introduction - Mobile Database Viewer

Mobile Database Viewer Plus for Series 60 3rd Edition

Cellica Software Services
http://www.cellica.com

Introduction

Think of the time when you had created databases on your computer and wanted to view and update it on your Mobile phone when you are away from your computer. Mobile Database Viewer Plus will help you to view and edit the contents of your desktop databases like MS Access, FoxPro, dBase, Excel and any ODBC Compliant Database like Oracle, SQL Server on Mobile phone and import it to original database. You can create new database on Mobile phone.

It has two components: One works on Microsoft Windows based Computer and other on Mobile Phone. Use the Windows program to transfer your database tables to Device and Device to Desktop.
Use Device side DBViewer Plus to view and edit the database.

Features

Database Viewer Plus has features, which help you carry and update the data with you on your Mobile phone and overwrite this updated database to original desktop database. You can view the records of your database tables in a grid of rows and columns or one at time.
  1. Supported formats: MS Access, Oracle, FoxPro, dBase, MS Excel and any ODBC Compliant Database.
  2. Update data on your mobile and sync(Overwrite) it to original database.
  3. Create new databases on device.
  4. Apply SQL Select queries on database to purify records by adding filter build the view.
  5. View records either “all at a time” or “a single record at a time”.
  6. Search for keywords within a database.
  7. All operations can also be performed via numpad keys on Mobile. For more information look Shortcut keys.
  8. Secure your data by password.
  9. Application supports some standard databases such as Credit card, Passport, Insurance Policy etc.
  10. Create different views on Mobile phone by applying filter and Sort.
  11. Profile creation feature which maintains selected database information in Desktop side DBViewer Plus.
  12. Updated Synchronization feature which transfer all the profiles form "Desktop to Device" and vice versa in one click.


Desktop DBViewerPlus

  • Startup

Run DBViewerPlus from your desktop or from Start->Programs->Mobile DBViewer Plus->Mobile DBViewer Plus, you will see following screen.

Fig. 1 DBViewerPlus

  • Add Mobile device to DBViewer Plus

When you start Desktop side application first time, it will ask for adding your mobile device (Mobile phone user) to DBViewer Plus software. Connect your Mobile phone to PC using USB cable and use "Add User" wizard to add mobile device to DBViewer Plus. You can Add/Remove Mobile device at any time in DBViewer Plus using menu "Users->Add/Delete".

  • DBViewerPlus Menu

  • Fig. 1.1 DBViewerPlus Menu

  • Creating New Profile

Right click in Left Pane and select "New Profile" or from Profile menu, click New.

Fig. 2 New Profile Creation

  • Profile Type Selection

After selecting New Profile, you will be prompted to New Profile Wizard as shown below.

Fig. 3. Profile Type and Database Selection

From above screen select either select "Desktop to Device" or "Device to Desktop" profile type. DBViewerPlus supports only these two types of sync profile.

  • Desktop to Device

Select this profile type when you want to transfer your desktop database contents to Mobile device after syncing. Every time, when sync take place, this profile will overwrite device side contents from desktop, regardless device side contents.

  • Device to Desktop

Select this profile type to transfer your device contents to desktop database. First time, desktop database contents will be transferred to device and then after, for every syncing, Device side contents will be transferred in desktop database.

If you modify table/query of this profile, then desktop database contents will be transferred on device, even though profile is set to transfer "Device To Desktop". It will overwrite Device contents.

Please select only such desktop database which do not have any constraints/validations defined in it, as it may create problems while transferring Device side contents.
Although, you can select such database, but you may lose some of your desktop contents depending on database constraints. Select this profile type on your own risk.

If you find that, after syncing you have not retained all database contents, use backup restore feature to restore your desktop database contents. DBViewerPlus takes backup of desktop database before transferring Device side contents into it.

  • Database Selection

From above figure, Fig. 3, either select "File Based Database", or "ODBC Database".

  • File Based Database

File based database allows you to select database like MS Access (mdb), Excel file (xls), FoxPro/dbase (dbf) files.
Click on browse button and browse to the location where you database file is situated and select one.

  • ODBC Database

Databases compatible to ODBC can be selected using DSNs. Select a DSN from available DSNs of your machine. You can manage these DSNs by clicking on "Config" button.

While selecting database, you may be prompted to enter security authentication like User Name and Password.

  • Table Selection/Query Building

After completing database selection, you will be prompted to "Build Query" dialog, where you need to select a table from selected database. You will see screen like below:

Fig. 4. Build Query Dialog

Select a table, select/deselect required fields to be included in database profile. Result of these table/field selection is shown in terms of SQL Select query to you. You can directly edit this SQL Select query to result as you want. You can enter any valid SQL select query which may include table joining, filtering, sorting etc. Click on "Preview" button to obtain content preview which are going to be included in profile.
To manually apply filters and sort orders click on "Filters" and "Sort Order" buttons.

  • Applying Filters

In above figure, Fig. 4, click on "Filters" button, you will see following filter dialog:

Here, you can apply as many filters as you want. Initially, one filter is shown, by default. Click on "Add" button to have more filters. Select check marks to those filters you want, select field from "Available Fields" popup, select operator from "Filter Operator" popup and click on "Filter Value" edit box and enter value which you want as a filter condition value.

Remember, filter values must be proper as per data type of selected fields.

If you selected numeric field, say ID, then filter value must be numeric, say 35. For character data type filter value must be included in single quotes ('). For date/time fields, filter value must be in #. If you select filter operator IS then filter value must be NULL or NOT NULL. If you select filter operator like then filter values must be a pattern included in single quote.

Here are some examples of filters.

PhoneNO IS NULL
Name IS NOT NULL
name like 'a%' : Name starting with letter a
name = 'John'
amount >= 2000
birthdate = #1/1/1978#
time >= #2:10#
birthdate >= '1-jan-1978'

Note: Using # for filter conditions values may change depending on which database you are using. MS Access, Excel allows to uses # where as Oracle, SQL Server allows to use single quote (') for date filter values.

  • Applying Sort Orders

In Fig. 4, click on "Sort Order" button, you will see following sort order dialog:

Select check mark for those you want to apply sort order. Select sort order as "Ascending" or "Descending", select field from "Available Fields" popup. To add more filters, simply click on "Add" button

  • Sync Information

After table selection, filters & sort orders, you will come to last step of Profile creation, "Sync Information"

Modify profile name. Select proper Mobile phone user for which you want to create database profile. Finally select sync Destination, "Memory card" or "Main memory" of mobile phone.

Click on finish to finish new profile creation. After finishing, you will get profile in left pane of DBViewerPlus. Click on profile, database content preview will be shown on right pane of DBViewerPlus window.

  • Modifying Existing Profile

  • Renaming Profile

Select a Database Profile from left pane of DBViewerPlus. Click on "Edit" from Profile menu/toolbar/right click menu. You will be prompted to enter profile name. Enter new name and select "Change" button to rename profile.

  • Rebuilding Query

Select a profile, expand it, and select "Query" property. Select edit from Profile menu or tool bar or right click on "Query" property, as shown below, and select "Rebuild...", you will get "Build Query" dialog, as that of in "Table Selection/Query Building" step.

Fig. Rebuild Query

Fig. Build Query Dialog

From above "Build Query" dialog, you can modify table, Query, Filters and "Sort Orders". Refer "Table Selection/Query Building" step.

  • Modifying Sync Properties

Here, you can change syncing type. You can switch between "Desktop to Device" or "Device to Desktop" profile type. It will change way of data transfer. Select "Do not Sync", if you want to disable profile from syncing. You can change Mobile phone user for which profile is created.

  • Deleting Profile

Select a profile which you want to delete, from right pane of DBViewerPlus. Right click on it, and select "Delete Profile..." or from profile menu/toolbar select "Delete". You will be confirmed about profile deletion. Deleting profile will also delete backup data taken by DBViewerPlus during syncing process.

  • Import Mobile DBViewer Plus data as a .csv

You can import Mobile Side database as a .csv on your PC. Connect your device to PC and use "Import" menu available on desktop DBViewer Plus application. Your device Side DBViewer Plus application should be closed while using this option. You will get following dialog when you choose this option. This dialog box shows the list of tables available on device, Select the table which you want to import to PC as a .csv and Press "Import" button. It will ask you the location where you want to save this csv file. After selecting the location your device side database will be saved as a .csv file.

  • Recovering Lost Data

  • Taking Backup

User need not to take explicit backup of particular database. "Desktop to Device" do not have risk of losing desktop data, but for "Device to Desktop" profile, there are chances of losing valuable desktop data. While syncing "Device to Desktop" profile, DBViewerPlus takes backup of desktop data before transferring Device data into it. Backup of last four syncing is stored with DBViewerPlus. Refer "Restore Data" step for putting back this backup into original desktop database.

  • Restoring Data

Select a profile from DBViewerPlus. Right click on it and select "Restore Contents..." or from Profile menu/toolbar select "Restore Contents..". You will see dialog as of following:

In left pane of this dialog, you will see the current contents of desktop database. In right pane, you will see the backup contents. There are backup contents of last four syncing. Select appropriate backup form popup list. If you feel that you have lost some of your original data from original desktop database (left pane), select appropriate backup and click on "Restore" button. This will put backup data into original desktop database.


Desktop DBViewerPlus

  • Start Syncing

Once you finished profile creation process and now wants to transfer data according to keep sync option "Desktop to Device" or "Device to Desktop". Select menu "Profile->Synchronize" or Use "Sync" button available on Toolbar.

You will get following dialog, which will show profile list. Here you can check/uncheck profiles from Sync column. Only checked profiles will be transferred to device or device to desktop. Press "Synchronize" button to start syncing.

You can view record status, syncing profile name and percentage of data transfer of that profile.


Mobile Device - Mobile Database Viewer

Open Database

When you start application you will get the list of available databases on your mobile. Enter the password you want for this application. You can change the password, also Enable and disable it from "Settings" menu.

After successfully log in, you can view database list if they are created previously.

Fig. PDB List

View Database Contents

Now Select pdb you want to view and Press Center Button of Joy stick or from the Option menu select Grid View or Single Record View submenu. You can also view specific field in detail mode by pressing Detail. Following figures show All records at once , Signle Record and Detail modes.

Fig: All records at once

Fig: Record at a time

Fig: Field detail

Edit Database Contents

You can Add/Edit/Delete record in your database. Use Add Record to add new record. Edit Record to edit selected record. Use Delete Record to delete selected record.

Create New Database

Use New Database to create new database on your device. You can import this database on desktop as .csv file.

Custom Database:

After creation of new database, use "Add Record" menu to add records in your newly created database.

Standard Database:

Here software has provided some standard databases which user needs in his daily life.

Create Views:

Create different views on Mobile phone by applying Filter and Sort. In Grid View or Record View, you will get "Views" menu. You will get the form where list of all created view appears. On this use New View/Edit View/Delete View menu according to your Requirement.

You will get following form for Both New View and Edit View. Use "Apply Filter" or "Apply Sort" menu to apply/Edit filter and Sort for new view or selected view.

Apply Filter:

User "Add Filter" menu to add new filter for selected view. Use "Remove Filter" menu to remove selected Filter. You can change ColumnName, Filter option by clicking on that location.

Apply Sort:

Use "Add Sort" menu to add Sort on selected Column.

Search Text

Select Menu > Find or Numpad 0 to find record.

Fig. Find Record

Here while searching you need to enter a search string. You can search within all fields of a table of within a selected single field. Search can be case sensitive. "Field begins with text" option searches specified string at the start of each field. You can search for numeric, string, date, time or any other type of field depending on its display format in record view. Search result will be shows as first row and first column. Use Find Again or Numpad #for next search. You can find whole word and data from the current cursor location also.

Change Password:

To change password, you must know your old password.

Settings:

Settings Form allows you to change the column width in Grid View. Change the color of "Column Name" in Grid view using "Column Text Color" option. Use "Record Text Color" option to change the color of text content. You can Enable/Disable password settings, By pressing center button of your device, you can change the Password Protection settings to "Enabled/Disabled password".

Shortcut Keys

The software also has shortcut keys to perform these operations. Following figure show those keys:

Fig: Shortcut Keys

Keys | Description
 | Home Screen
7 | New Database
C | Delete Database
 | Grid/ Record View
* | Switching between Grid & Record View
1 | Move to First Record
2 | Go to particular Record
3 | Move Last Record
C | Delete Record
0 | Find
# | Find Again
8 | Edit Record
9 | Add Record

Application Registration

Select Menu > Register... to register Mobile DBViewer Plus.

Fig. Application Registration

Registration form shows User ID of your mobile. To get registration key send this User ID.


Supported Data Types

Currently Mobile Database Viewer Plus supports following data types.
  1. Memo, Char, VarChar2, nVarchar, nVarchar2
  2. Number of type: Byte, Decimal, Integer, Long Integer, Single, Real, Float, Double
  3. GUID
  4. Date/Time
  5. AutoNumber of type: Long Integer
  6. Yes/No
  7. HyperLink
  8. Currency

Contact Cellica

You can refer to the following mail addresses to contact us:
  • Product support
    support@cellica.com